it.reply.healty.innovapuglia.mstaccuino.soap.service

## Interface ITaccuino

- All Known Implementing Classes:
    ITaccuinoServiceImpl, TaccuinoBusinessService

      public interface ITaccuino

  Espone i servizi per gestire le operazioni di CRUD per le note e i documenti
  Author:
    Fabio Frijo

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddDetectionResponse` | `addDetection(AddDetectionRequest request)` Il servizio consente di inserire una nuova rilevazione nel database.
    `AddDocumentResponse` | `addDocument(AddDocumentRequest request)` Il servizio consente di inserire un nuovo documento a una nota già esistente ed attiva nel database
    `AddDrugResponse` | `addDrug(AddDrugRequest request)` Il servizio consente di inserire un nuovo farmaco nel database.
    `AddEventResponse` | `addEvent(AddEventRequest request)` Il servizio consente di inserire un nuovo evento nel database.
    `AddHealthcareContactResponse` | `addHealthcareContact(AddHealthcareContactRequest request)` Il servizio consente di inserire un nuovo contatto sanitario nel database.
    `AddNoteResponse` | `addNote(AddNoteRequest request)` Il servizio consente di inserire una nuova nota nel database
    `AddOtherContactResponse` | `addOtherContact(AddOtherContactRequest request)` Il servizio consente di inserire un nuovo contatto di medicina non convenzionale nel database per un paziente.
    `AddOtherProductResponse` | `addOtherProduct(AddOtherProductRequest request)` Il servizio consente di inserire un nuovo prodotto nel database associato ad una nota.
    `AddPainResponse` | `addPain(AddPainRequest request)` Il servizio consente di inserire una nuova registrazione di dolore nel database associato ad una nota.
    `AddProsthesisAidResponse` | `addProsthesisAid(AddProsthesisAidRequest request)` Il servizio consente di inserire un nuovo ausilio protesico associato ad una nota nel database.
    `AddSymptomResponse` | `addSymptom(AddSymptomRequest request)` Il servizio consente di inserire un nuovo sintomo associato ad una nota nel database.
    `AddTravelPersonalInfoResponse` | `addTravelPersonalInfo(AddTravelPersonalInfoRequest request)` Il servizio consente di inserire le informazioni personali di viaggio di un paziente associate ad una nota nel database.
    `DeleteDetectionResponse` | `deleteDetection(DeleteDetectionRequest request)` Il servizio consente di effettuare una eliminazione logica della rilevazione associata a un paziente dal database.
    `DeleteDocumentResponse` | `deleteDocument(DeleteDocumentRequest request)` Il servizio consente di effettuare una eliminazione logica del documento nel database
    `DeleteDrugResponse` | `deleteDrug(DeleteDrugRequest request)` Il servizio consente di effettuare una eliminazione logica del farmaco associato a un paziente dal database.
    `DeleteEventResponse` | `deleteEvent(DeleteEventRequest request)` Il servizio consente di effettuare una eliminazione logica del evento associato a un paziente dal database.
    `DeleteHealthcareContactResponse` | `deleteHealthcareContact(DeleteHealthcareContactRequest request)` Il servizio consente di effettuare una eliminazione logica del contatto con una struttura sanitaria associato a un paziente dal database.
    `DeleteNoteResponse` | `deleteNote(DeleteNoteRequest request)` Il servizio consente di effettuare una eliminazione logica della nota sul database
    `DeleteOtherContactResponse` | `deleteOtherContact(DeleteOtherContactRequest request)` Il servizio consente di effettuare una eliminazione logica del contatto di medicina non convenzionale associato a un paziente dal database.
    `DeleteOtherProductResponse` | `deleteOtherProduct(DeleteOtherProductRequest request)` Il servizio consente di effettuare una eliminazione logica dell'altro prodotto associato a un paziente dal database.
    `DeletePainResponse` | `deletePain(DeletePainRequest request)` Il servizio consente di effettuare una eliminazione logica del dolore associato a un paziente dal database.
    `DeleteProsthesisAidResponse` | `deleteProsthesisAid(DeleteProsthesisAidRequest request)` Il servizio consente di effettuare una eliminazione logica dell'ausilio o protesi associato a un paziente dal database.
    `DeleteSymptomResponse` | `deleteSymptom(DeleteSymptomRequest request)` Il servizio consente di effettuare una eliminazione logica del sintomo associato a un paziente dal database.
    `DeleteTravelPersonalInfoResponse` | `deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)` Il servizio consente di effettuare una eliminazione logica delle informazioni sul viaggio personale di un paziente dal database.
    `DownloadDocumentResponse` | `downloadDocument(DownloadDocumentRequest request)` Il servizio consente di effettuare il download di un documento attivo e associato al paziente in input
    `GetNoteListResponse` | `getNoteList(GetNoteListRequest request)` Il servizio consente di visualizzare l'elenco delle note attive e associate al paziente in input
    `UpdateDetectionResponse` | `updateDetection(UpdateDetectionRequest request)` Il servizio consente di modificare una rilevazione per un paziente.
    `UpdateDocumentResponse` | `updateDocument(UpdateDocumentRequest request)` Il servizio consente di modificare un documento esistente sul database
    `UpdateDrugResponse` | `updateDrug(UpdateDrugRequest request)` Il servizio consente di modificare un farmaco per un paziente.
    `UpdateEventResponse` | `updateEvent(UpdateEventRequest request)` Il servizio consente di modificare un evento per un paziente.
    `UpdateHealthcareContactResponse` | `updateHealthcareContact(UpdateHealthcareContactRequest request)` Il servizio consente di modificare un contatto sanitario per un paziente.
    `UpdateNoteResponse` | `updateNote(UpdateNoteRequest request)` Il servizio consente di modificare una nota esistente sul database
    `UpdateOtherContactResponse` | `updateOtherContact(UpdateOtherContactRequest request)` Il servizio consente di modificare contatto di medicina non convenzionale per un paziente.
    `UpdateOtherProductResponse` | `updateOtherProduct(UpdateOtherProductRequest request)` Il servizio consente di modificare un altro prodotto per un paziente.
    `UpdatePainResponse` | `updatePain(UpdatePainRequest request)` Il servizio consente di modificare un dolore per un paziente.
    `UpdateProsthesisAidResponse` | `updateProsthesisAid(UpdateProsthesisAidRequest request)` Il servizio consente di modificare una protesi o ausilio per un paziente.
    `UpdateSymptomResponse` | `updateSymptom(UpdateSymptomRequest request)` Il servizio consente di modificare un sintomo per un paziente.
    `UpdateTravelPersonalInfoResponse` | `updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)` Il servizio consente di modificare le informazioni personali relative a un viaggio per un paziente.

- - ### Method Detail

    - #### addDocument

          AddDocumentResponse addDocument(AddDocumentRequest request)
                                   throws FaultException

      Il servizio consente di inserire un nuovo documento a una nota già esistente ed attiva nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui inserire un nuovo documento
        - Oggetto contenente il nuovo documento da inserire
      Returns:
        AddDocumentResponseDTO che include l'ID del documento inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0005 - Il file supera la dimensione massima consentita
        - E0006 - La nota trovata non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addNote

          AddNoteResponse addNote(AddNoteRequest request)
                           throws FaultException

      Il servizio consente di inserire una nuova nota nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - Oggetto contenente i dati del cittadino
        - Oggetto contenente la nuova nota da inserire
      Returns:
        AddNoteResponseDTO che include l'ID della nota inserita.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]
        - E0501 - Error in addNota : Errore nel salvataggio del taccuino

    - #### addDetection

          AddDetectionResponse addDetection(AddDetectionRequest request)
                                     throws FaultException

      Il servizio consente di inserire una nuova rilevazione nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associata la rilevazione
        - Oggetto contenente i dati della rilevazione da inserire
      Returns:
        AddDetectionResponse che include i dettagli della rilevazione inserita.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addDrug

          AddDrugResponse addDrug(AddDrugRequest request)
                           throws FaultException

      Il servizio consente di inserire un nuovo farmaco nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il farmaco
        - Oggetto contenente i dati del farmaco da inserire
      Returns:
        AddDrugResponse che include i dettagli del farmaco inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addEvent

          AddEventResponse addEvent(AddEventRequest request)
                             throws FaultException

      Il servizio consente di inserire un nuovo evento nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato l'evento
        - Oggetto contenente i dati dell'evento da inserire
      Returns:
        AddEventResponse che include i dettagli dell'evento inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addHealthcareContact

          AddHealthcareContactResponse addHealthcareContact(AddHealthcareContactRequest request)
                                                     throws FaultException

      Il servizio consente di inserire un nuovo contatto sanitario nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il contatto sanitario
        - Oggetto contenente i dati del contatto sanitario da inserire
      Returns:
        AddHealthcareContactResponse che include i dettagli del contatto sanitario inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addOtherContact

          AddOtherContactResponse addOtherContact(AddOtherContactRequest request)
                                           throws FaultException

      Il servizio consente di inserire un nuovo contatto di medicina non convenzionale nel database per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il contatto di medicina non convenzionale
        - Oggetto contenente i dati del contatto di medicina non convenzionale da inserire
      Returns:
        AddOtherContactResponse che include i dettagli del contatto di medicina non convenzionale inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addOtherProduct

          AddOtherProductResponse addOtherProduct(AddOtherProductRequest request)
                                           throws FaultException

      Il servizio consente di inserire un nuovo prodotto nel database associato ad una nota.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il prodotto
        - Oggetto contenente i dati del prodotto da inserire
      Returns:
        AddOtherProductResponse che include i dettagli del prodotto inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addPain

          AddPainResponse addPain(AddPainRequest request)
                           throws FaultException

      Il servizio consente di inserire una nuova registrazione di dolore nel database associato ad una nota.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il dolore
        - Oggetto contenente i dati del dolore da registrare
      Returns:
        AddPainResponse che include i dettagli della registrazione del dolore inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addProsthesisAid

          AddProsthesisAidResponse addProsthesisAid(AddProsthesisAidRequest request)
                                             throws FaultException

      Il servizio consente di inserire un nuovo ausilio protesico associato ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato l'ausilio protesico
        - Oggetto contenente i dati dell'ausilio protesico da registrare
      Returns:
        AddProsthesisAidResponse che include i dettagli dell'ausilio protesico inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addSymptom

          AddSymptomResponse addSymptom(AddSymptomRequest request)
                                 throws FaultException

      Il servizio consente di inserire un nuovo sintomo associato ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui è associato il sintomo
        - Oggetto contenente i dati del sintomo da registrare
      Returns:
        AddSymptomResponse che include i dettagli del sintomo inserito.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### addTravelPersonalInfo

          AddTravelPersonalInfoResponse addTravelPersonalInfo(AddTravelPersonalInfoRequest request)
                                                       throws FaultException

      Il servizio consente di inserire le informazioni personali di viaggio di un paziente associate ad una nota nel database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota a cui sono associati i dettagli di viaggio
        - Oggetto contenente i dati del viaggio da registrare
      Returns:
        AddTravelPersonalInfoResponse che include i dettagli delle informazioni di viaggio inserite.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteDocument

          DeleteDocumentResponse deleteDocument(DeleteDocumentRequest request)
                                         throws FaultException

      Il servizio consente di effettuare una eliminazione logica del documento nel database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da eliminare
      Returns:
        DeleteDocumentResponseDTO che include l'ID del documento eliminato.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0004 - Errore durante il salvataggio del dato su database
        - E0007 - Il documento trovato non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteNote

          DeleteNoteResponse deleteNote(DeleteNoteRequest request)
                                 throws FaultException

      Il servizio consente di effettuare una eliminazione logica della nota sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota da eliminare
      Returns:
        DeleteNoteResponseDTO che include l'ID della nota eliminata.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0006 - La nota trovata non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteDetection

          DeleteDetectionResponse deleteDetection(DeleteDetectionRequest request)
                                           throws FaultException

      Il servizio consente di effettuare una eliminazione logica della rilevazione associata a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della rilevazione da eliminare
      Returns:
        DeleteDetectionResponse che conferma l'eliminazione della rilevazione.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteDrug

          DeleteDrugResponse deleteDrug(DeleteDrugRequest request)
                                 throws FaultException

      Il servizio consente di effettuare una eliminazione logica del farmaco associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del farmaco da eliminare
      Returns:
        DeleteDrugResponse che conferma l'eliminazione del farmaco.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteEvent

          DeleteEventResponse deleteEvent(DeleteEventRequest request)
                                   throws FaultException

      Il servizio consente di effettuare una eliminazione logica del evento associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'evento da eliminare
      Returns:
        DeleteEventResponse che conferma l'eliminazione dell'evento.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteHealthcareContact

          DeleteHealthcareContactResponse deleteHealthcareContact(DeleteHealthcareContactRequest request)
                                                           throws FaultException

      Il servizio consente di effettuare una eliminazione logica del contatto con una struttura sanitaria associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto con la struttura sanitaria da eliminare
      Returns:
        DeleteHealthcareContactResponse che conferma l'eliminazione del contatto con la struttura sanitaria.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteOtherContact

          DeleteOtherContactResponse deleteOtherContact(DeleteOtherContactRequest request)
                                                 throws FaultException

      Il servizio consente di effettuare una eliminazione logica del contatto di medicina non convenzionale associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto di medicina non convenzionale da eliminare
      Returns:
        DeleteOtherContactResponse che conferma l'eliminazione del contatto di medicina non convenzionale.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteOtherProduct

          DeleteOtherProductResponse deleteOtherProduct(DeleteOtherProductRequest request)
                                                 throws FaultException

      Il servizio consente di effettuare una eliminazione logica dell'altro prodotto associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'altro prodotto da eliminare
      Returns:
        DeleteOtherProductResponse che conferma l'eliminazione dell'altro prodotto.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deletePain

          DeletePainResponse deletePain(DeletePainRequest request)
                                 throws FaultException

      Il servizio consente di effettuare una eliminazione logica del dolore associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del dolore da eliminare
      Returns:
        DeletePainResponse che conferma l'eliminazione del dolore.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteProsthesisAid

          DeleteProsthesisAidResponse deleteProsthesisAid(DeleteProsthesisAidRequest request)
                                                   throws FaultException

      Il servizio consente di effettuare una eliminazione logica dell'ausilio o protesi associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della protesi/ausilio da eliminare
      Returns:
        DeleteProsthesisAidResponse che conferma l'eliminazione della protesi/ausilio.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteSymptom

          DeleteSymptomResponse deleteSymptom(DeleteSymptomRequest request)
                                       throws FaultException

      Il servizio consente di effettuare una eliminazione logica del sintomo associato a un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del sintomo da eliminare
      Returns:
        DeleteSymptomResponse che conferma l'eliminazione del sintomo.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### deleteTravelPersonalInfo

          DeleteTravelPersonalInfoResponse deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)
                                                             throws FaultException

      Il servizio consente di effettuare una eliminazione logica delle informazioni sul viaggio personale di un paziente dal database.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del viaggio da eliminare
      Returns:
        DeleteTravelPersonalInfoResponse che conferma l'eliminazione delle informazioni di viaggio.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateDocument

          UpdateDocumentResponse updateDocument(UpdateDocumentRequest request)
                                         throws FaultException

      Il servizio consente di modificare un documento esistente sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da modificare
        - Oggetto contenente il documento da modificare
      Returns:
        UpdateDocumentResponseDTO che include l'ID del documento modificato.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0005 - Il file supera la dimensione massima consentita
        - E0007 - Il documento trovato non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateNote

          UpdateNoteResponse updateNote(UpdateNoteRequest request)
                                 throws FaultException

      Il servizio consente di modificare una nota esistente sul database
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della nota da modificare
        - Oggetto contenente la nota da modificare
      Returns:
        UpdateNoteResponseDTO che include l'ID della nota modificata.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0006 - La nota trovata non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateDetection

          UpdateDetectionResponse updateDetection(UpdateDetectionRequest request)
                                           throws FaultException

      Il servizio consente di modificare una rilevazione per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della rilevazione da aggiornare
        - Dettagli della rilevazione da aggiornare
      Returns:
        UpdateDetectionResponse che conferma l'aggiornamento della rilevazione.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateDrug

          UpdateDrugResponse updateDrug(UpdateDrugRequest request)
                                 throws FaultException

      Il servizio consente di modificare un farmaco per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del farmaco da aggiornare
        - Dettagli del farmaco da aggiornare
      Returns:
        UpdateDrugResponse che conferma l'aggiornamento del farmaco.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateEvent

          UpdateEventResponse updateEvent(UpdateEventRequest request)
                                   throws FaultException

      Il servizio consente di modificare un evento per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID dell'evento da aggiornare
        - Dettagli dell'evento da aggiornare
      Returns:
        UpdateEventResponse che conferma l'aggiornamento dell'evento.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateHealthcareContact

          UpdateHealthcareContactResponse updateHealthcareContact(UpdateHealthcareContactRequest request)
                                                           throws FaultException

      Il servizio consente di modificare un contatto sanitario per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto sanitario da aggiornare
        - Dettagli aggiornati del contatto sanitario
      Returns:
        UpdateHealthcareContactResponse che conferma l'aggiornamento del contatto sanitario.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateOtherContact

          UpdateOtherContactResponse updateOtherContact(UpdateOtherContactRequest request)
                                                 throws FaultException

      Il servizio consente di modificare contatto di medicina non convenzionale per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del contatto di medicina non convenzionale da aggiornare
        - Dettagli aggiornati del contatto di medicina non convenzionale
      Returns:
        UpdateOtherContactResponse che conferma l'aggiornamento del contatto di medicina non convenzionale.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateOtherProduct

          UpdateOtherProductResponse updateOtherProduct(UpdateOtherProductRequest request)
                                                 throws FaultException

      Il servizio consente di modificare un altro prodotto per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del prodotto non convenzionale da aggiornare
        - Dettagli aggiornati del prodotto non convenzionale
      Returns:
        UpdateOtherProductResponse che conferma l'aggiornamento del prodotto non convenzionale.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updatePain

          UpdatePainResponse updatePain(UpdatePainRequest request)
                                 throws FaultException

      Il servizio consente di modificare un dolore per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del dolore da aggiornare
        - Dettagli aggiornati del dolore
      Returns:
        UpdatePainResponse che conferma l'aggiornamento del dolore.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateProsthesisAid

          UpdateProsthesisAidResponse updateProsthesisAid(UpdateProsthesisAidRequest request)
                                                   throws FaultException

      Il servizio consente di modificare una protesi o ausilio per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID della protesi o ausilio da aggiornare
        - Dettagli aggiornati della protesi o ausilio
      Returns:
        UpdateProsthesisAidResponse che conferma l'aggiornamento della protesi o ausilio.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateSymptom

          UpdateSymptomResponse updateSymptom(UpdateSymptomRequest request)
                                       throws FaultException

      Il servizio consente di modificare un sintomo per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del sintomo da aggiornare
        - Dettagli aggiornati del sintomo
      Returns:
        UpdateSymptomResponse che conferma l'aggiornamento del sintomo.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### updateTravelPersonalInfo

          UpdateTravelPersonalInfoResponse updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)
                                                             throws FaultException

      Il servizio consente di modificare le informazioni personali relative a un viaggio per un paziente.
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del viaggio da aggiornare
        - Dettagli aggiornati del viaggio
      Returns:
        UpdateTravelPersonalInfoResponse che conferma l'aggiornamento delle informazioni personali sul viaggio.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori:
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### downloadDocument

          DownloadDocumentResponse downloadDocument(DownloadDocumentRequest request)
                                             throws FaultException

      Il servizio consente di effettuare il download di un documento attivo e associato al paziente in input
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
        - ID del documento da scaricare
      Returns:
        DownloadDocumentResponseDTO che include l'oggetto contenente il documento scaricato.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0007 - Il documento trovato non appartiene all'utente con il codice fiscale inserito
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

    - #### getNoteList

          GetNoteListResponse getNoteList(GetNoteListRequest request)
                                   throws FaultException

      Il servizio consente di visualizzare l'elenco delle note attive e associate al paziente in input
      Parameters:
        `request` - Contiene i seguenti parametri obbligatori:
        - Codice fiscale del paziente
      Returns:
        GetNoteListResponseDTO che include la lista di oggetti contenenti le note.
      Throws:
        `FaultException` - Errore applicativo, può assumere i seguenti valori :
        - E0000 - Errore generico: [optional_error_detail]
        - E0001 - Parametro mancante: [optional_error_detail]
        - E0002 - Dato inserito in input non valido: [optional_error_detail]
        - E0003 - Dato non trovato: [optional_error_detail]
        - E0300 - Errore generico client: [optional_error_detail]
        - E0401 - Autorizzazione negata: [optional_error_detail]
        - E0402 - Delega non conforme: [optional_error_detail]

Copyright © 2024. All rights reserved.